using UnityEngine;

namespace Mod
{
    public class Mod : MonoBehaviour
    {
        public static void Main()
        {
            CategoryBuilder.Create("Warhammer", "This contains all the items of the Warhammer 40k mod.", ModAPI.LoadSprite("category.png"));

            //humie
            ModAPI.Register(
        new Modification()
        {
            OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
            NameOverride = "Vostryan Soldier", //new item name with a suffix to assure it is globally unique
            NameToOrderByOverride = "Vost1",
            DescriptionOverride = "A brave soldier of Vostroya.", //new item description
            CategoryOverride = ModAPI.FindCategory("Warhammer"), //new item category
            ThumbnailOverride = ModAPI.LoadSprite("vostroyan soldier thumb 1.png"), //new item thumbnail (relative path)
            AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
            {

                var skin = ModAPI.LoadTexture("vostroyan soldier 1.png");
                var flesh = ModAPI.LoadTexture("flesh.png");
                var bone = ModAPI.LoadTexture("bone.png");

                var person = Instance.GetComponent<PersonBehaviour>();

                person.SetBodyTextures(skin, flesh, bone, 1);
            }
        }
);

            //helmet
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Vostroyan Helmet with Gasmask",
                    NameToOrderByOverride = "Vost5",
                    DescriptionOverride = "A helmet worn by the elites of Vostroya.",
                    CategoryOverride = ModAPI.FindCategory("Warhammer"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Vostroyan helmet thumb 2.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Vosthelm2.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 12f;
                        armor.armorPiece = "Head"; //check the uh the fucking uh readme for the full list of bodyparts
                        armor.armorTier = 12;

                        Instance.FixColliders();
                    }
                }
            );
             
            //humie
               ModAPI.Register(
        new Modification()
        {
            OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
            NameOverride = "Vostryan Soldier with chainmail", //new item name with a suffix to assure it is globally unique
            NameToOrderByOverride = "Vost2",
            DescriptionOverride = "A brave soldier of Vostroya with a chainmail on.", //new item description
            CategoryOverride = ModAPI.FindCategory("Warhammer"), //new item category
            ThumbnailOverride = ModAPI.LoadSprite("vostroyan soldier thumb 2.png"), //new item thumbnail (relative path)
            AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
            {

                var skin = ModAPI.LoadTexture("vostroyan soldier 2.png");
                var flesh = ModAPI.LoadTexture("flesh.png");
                var bone = ModAPI.LoadTexture("bone.png");

                var person = Instance.GetComponent<PersonBehaviour>();

                person.SetBodyTextures(skin, flesh, bone, 1);
            }
        }
);

            //helmet
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Vostroyan Helmet ",
                    NameToOrderByOverride = "Vost4",
                    DescriptionOverride = "A helmet worn by the average soldiers of Vostroya",
                    CategoryOverride = ModAPI.FindCategory("Warhammer"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Vostroyan helmet thumb 1.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("vosthelm1.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 12f;
                        armor.armorPiece = "Head"; //check the uh the fucking uh readme for the full list of bodyparts
                        armor.armorTier = 12;

                        Instance.FixColliders();
                    }
                }
            );
               //humie
               ModAPI.Register(
        new Modification()
        {
            OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
            NameOverride = "Vostryan Medic", //new item name with a suffix to assure it is globally unique
            NameToOrderByOverride = "Vost3",
            DescriptionOverride = "A brave soldier of the medical unit of the Vostroyan Army.", //new item description
            CategoryOverride = ModAPI.FindCategory("Warhammer"), //new item category
            ThumbnailOverride = ModAPI.LoadSprite("vostroyan soldier thumb 3.png"), //new item thumbnail (relative path)
            AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
            {

                var skin = ModAPI.LoadTexture("vostroyan soldier 3.png");
                var flesh = ModAPI.LoadTexture("flesh.png");
                var bone = ModAPI.LoadTexture("bone.png");

                var person = Instance.GetComponent<PersonBehaviour>();

                person.SetBodyTextures(skin, flesh, bone, 1);
            }
        }
);
           //helmet
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Vostroyan Helmet ",
                    NameToOrderByOverride = "Vost6",
                    DescriptionOverride = "A helmet worn by the brave medics of the Vostroyan Army.",
                    CategoryOverride = ModAPI.FindCategory("Warhammer"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Vostroyan helmet thumb 3.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("vosthelm3.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 12f;
                        armor.armorPiece = "Head"; //check the uh the fucking uh readme for the full list of bodyparts
                        armor.armorTier = 12;

                        Instance.FixColliders();
                    }
                }
            );
            //armor
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Vostroyan Armor Plate",
                    NameToOrderByOverride = "Vost7",
                    DescriptionOverride = "Extra plate armor for the Vostroyan soldiers.",
                    CategoryOverride = ModAPI.FindCategory("Warhammer"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Vostroyan armor thumb 1.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Vostroyan armor 1.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 12f;
                        armor.armorPiece = "UpperBody"; //check the uh the fucking uh readme for the full list of bodyparts
                        armor.armorTier = 12;

                        Instance.FixColliders();
                    }
                }
            );
            //Shoulders
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Vostroyan shoulderpads",
                    NameToOrderByOverride = "Vost8",
                    DescriptionOverride = "Those shoulderpads are frenquentely used by the soldiers of Vostroya ",
                    CategoryOverride = ModAPI.FindCategory("Warhammer"), //new item category 
                    ThumbnailOverride = ModAPI.LoadSprite("Vostroyan shoulderpad thumb 1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Vostroyan shoulderpad 1.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 12f;
                        armor.armorPiece = "UpperArm";
                        armor.armorTier = 12;
                        armor.otherSprite = "Vostroyan shoulderpad 1.png";
                        armor.otherName = "Vostroyan shoulderpads";
                        armor.otherPiece = "UpperArmFront";
                        armor.otherTier = 12;
                        armor.otherResist = 12f;
                        armor.SpawnOtherParts();

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();

                        var other = Instance.transform.GetChild(0);
                        other.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        other.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                    }
                }
            );
             //Shoulders Medic
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Vostroyan Medic shoulderpads",
                    NameToOrderByOverride = "Vost9",
                    DescriptionOverride = "Those shoulderpads are used by the medics of the Vostroyan Army ",
                    CategoryOverride = ModAPI.FindCategory("Warhammer"), //new item category 
                    ThumbnailOverride = ModAPI.LoadSprite("Vostroyan shoulderpad thumb 2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Vostroyan shoulderpad 2.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 12f;
                        armor.armorPiece = "UpperArm";
                        armor.armorTier = 12;
                        armor.otherSprite = "Vostroyan shoulderpad 2.png";
                        armor.otherName = "Vostroyan Medic shoulderpads";
                        armor.otherPiece = "UpperArmFront";
                        armor.otherTier = 12;
                        armor.otherResist = 12f;
                        armor.SpawnOtherParts();

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();

                        var other = Instance.transform.GetChild(0);
                        other.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        other.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                    }
                }
            );
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Blaster"), //item to derive from
        NameOverride = "Vostroyan Pattern Laspistol", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "VostA",
        DescriptionOverride = "A laspistol used by the Vostroyan Army", //new item description
        CategoryOverride = ModAPI.FindCategory("Warhammer"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Vostroyan Pattern Laspistol Thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
        foreach (Transform child in Instance.transform)
                                if (child.name.Contains("light") || child.name.Contains("glow"))
                                    UnityEngine.Object.Destroy(child.gameObject);
            //setting the sprite
            
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Vostroyan Pattern Laspistol.png");
            var firearm = Instance.GetComponent<FirearmBehaviour>();
            Instance.FixColliders();
        }
    }
);
       ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Blaster"), //item to derive from
        NameOverride = "Vostroyan Pattern Lasgun", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "VostB",
        DescriptionOverride = "A lasgun used by the Vostroyan Army", //new item description
        CategoryOverride = ModAPI.FindCategory("Warhammer"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Vostroyan Pattern Lasgun Thumb 1.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
        foreach (Transform child in Instance.transform)
                                if (child.name.Contains("light") || child.name.Contains("glow"))
                                    UnityEngine.Object.Destroy(child.gameObject);
            //setting the sprite
            
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Vostroyan Pattern Lasgun 1.png");
            var firearm = Instance.GetComponent<FirearmBehaviour>();
            Instance.FixColliders();
        }
    }
);

       ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Blaster"), //item to derive from
        NameOverride = "Vostroyan Pattern Lasgun with a Scope", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "VostC",
        DescriptionOverride = "A lasgun used by the Vostroyan Army", //new item description
        CategoryOverride = ModAPI.FindCategory("Warhammer"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Vostroyan Pattern Lasgun Thumb 2.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
        foreach (Transform child in Instance.transform)
                                if (child.name.Contains("light") || child.name.Contains("glow"))
                                    UnityEngine.Object.Destroy(child.gameObject);
            //setting the sprite
            
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Vostroyan Pattern Lasgun 2.png");
            var firearm = Instance.GetComponent<FirearmBehaviour>();
            Instance.FixColliders();
        }
    }
);
  ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Grenade Launcher"), //item to derive from
        NameOverride = "Vostroyan Pattern Grenade Launcher", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "VostD",
        DescriptionOverride = "Used by the Vostroyan Elite Grenadiers", //new item description
        CategoryOverride = ModAPI.FindCategory("Warhammer"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Vostroyan Pattern Grenade Launcher Thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
        
            //setting the sprite
            
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Vostroyan Pattern Grenade Launcher.png");
            var firearm = Instance.GetComponent<FirearmBehaviour>();
            Instance.FixColliders();
        }
    }
);
//humie
               ModAPI.Register(
        new Modification()
        {
            OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
            NameOverride = "Cadian Shock Soldier", //new item name with a suffix to assure it is globally unique
            NameToOrderByOverride = "Cad1",
            DescriptionOverride = "A vaillant soldier of the prestigious Cadian Shock Troops", //new item description
            CategoryOverride = ModAPI.FindCategory("Warhammer"), //new item category
            ThumbnailOverride = ModAPI.LoadSprite("Cadian soldier thumb 1.png"), //new item thumbnail (relative path)
            AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
            {

                var skin = ModAPI.LoadTexture("Cadian soldier 1.png");
                var flesh = ModAPI.LoadTexture("flesh.png");
                var bone = ModAPI.LoadTexture("bone.png");

                var person = Instance.GetComponent<PersonBehaviour>();

                person.SetBodyTextures(skin, flesh, bone, 1);
            }
        }
);
//humie
               ModAPI.Register(
        new Modification()
        {
            OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
            NameOverride = "Cadian Medic", //new item name with a suffix to assure it is globally unique
            NameToOrderByOverride = "Cad2",
            DescriptionOverride = "A courageous medic of the Cadian Shock Troops, he wouldn't hesitate a second to sacrifice his live to save your.'", //new item description
            CategoryOverride = ModAPI.FindCategory("Warhammer"), //new item category
            ThumbnailOverride = ModAPI.LoadSprite("Cadian soldier thumb 2.png"), //new item thumbnail (relative path)
            AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
            {

                var skin = ModAPI.LoadTexture("Cadian soldier 2.png");
                var flesh = ModAPI.LoadTexture("flesh.png");
                var bone = ModAPI.LoadTexture("bone.png");

      
                var person = Instance.GetComponent<PersonBehaviour>();

                person.SetBodyTextures(skin, flesh, bone, 1);
            }
        }
);
//humie
               ModAPI.Register(
        new Modification()
        {
            OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
            NameOverride = "Cadian Regimental Officer", //new item name with a suffix to assure it is globally unique
            NameToOrderByOverride = "Cad3",
            DescriptionOverride = "Among the officers of the Imperial Guard, the Cadian Regimental Officers are among the best commanders of the Imperium. ", //new item description
            CategoryOverride = ModAPI.FindCategory("Warhammer"), //new item category
            ThumbnailOverride = ModAPI.LoadSprite("Cadian soldier thumb 3.png"), //new item thumbnail (relative path)
            AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
            {

                var skin = ModAPI.LoadTexture("Cadian soldier 3.png");
                var flesh = ModAPI.LoadTexture("flesh.png");
                var bone = ModAPI.LoadTexture("bone.png");


                var person = Instance.GetComponent<PersonBehaviour>();

                person.SetBodyTextures(skin, flesh, bone, 1);
            }
        }
);
 //helmet
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Cadian Pattern Helmet ",
                    NameToOrderByOverride = "Cad6",
                    DescriptionOverride = "The standard Cadian pattern helmet provides excellent protection to the vulnerable cranial area.",
                    CategoryOverride = ModAPI.FindCategory("Warhammer"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Cadian Helmet thumb 1.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Cadian Helmet 1.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 12f;
                        armor.armorPiece = "Head"; //check the uh the fucking uh readme for the full list of bodyparts
                        armor.armorTier = 12;

                        Instance.FixColliders();
                    }
                }
            );
//helmet
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Cadian Pattern Helmet with Medical Cross ",
                    NameToOrderByOverride = "Cad7",
                    DescriptionOverride = "The standard Cadian pattern helmet provides excellent protection to the vulnerable cranial area. This helmet also have a red cross, to recognize the medics on the battlefield.",
                    CategoryOverride = ModAPI.FindCategory("Warhammer"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Cadian Helmet thumb 2.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Cadian Helmet 2.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 12f;
                        armor.armorPiece = "Head"; //check the uh the fucking uh readme for the full list of bodyparts
                        armor.armorTier = 12;

                        Instance.FixColliders();
                    }
                }
            );
//armor
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Cadian Flak Armor ",
                    NameToOrderByOverride = "Cad9",
                    DescriptionOverride = "The Flak amor is really cheap and easy to produce. It provides a good protection to the soldiers.",
                    CategoryOverride = ModAPI.FindCategory("Warhammer"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Cadian armor thumb 1.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Cadian armor 1.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 12f;
                        armor.armorPiece = "UpperBody"; //check the uh the fucking uh readme for the full list of bodyparts
                        armor.armorTier = 12;

                        Instance.FixColliders();
                    }
                }
            );
            //armor
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Cadian Flak Armor Lower ",
                    NameToOrderByOverride = "CadA",
                    DescriptionOverride = "The Flak amor is really cheap and easy to produce. It provides a good protection to the soldiers.",
                    CategoryOverride = ModAPI.FindCategory("Warhammer"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Cadian armor lower thumb 1.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Cadian armor lower 1.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 12f;
                        armor.armorPiece = "MiddleBody"; //check the uh the fucking uh readme for the full list of bodyparts
                        armor.armorTier = 12;

                        Instance.FixColliders();
                    }
                }
            );
             //Shoulderpad
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Cadian Shoulder Plates",
                    NameToOrderByOverride = "CadC",
                    DescriptionOverride = "Just Cadian Shoulder Plates that are supposed to be worn with the Flak Armour",
                    CategoryOverride = ModAPI.FindCategory("Warhammer"), //new item category 
                    ThumbnailOverride = ModAPI.LoadSprite("Cadian Shoulder Plates thumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Cadian shoulder plates.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 12f;
                        armor.armorPiece = "UpperArm";
                        armor.armorTier = 12;
                        armor.otherSprite = "Cadian shoulder plates.png";
                        armor.otherName = "Cadian Shoulder Plates";
                        armor.otherPiece = "UpperArmFront";
                        armor.otherTier = 12;
                        armor.otherResist = 12f;
                        armor.SpawnOtherParts();

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();

                        var other = Instance.transform.GetChild(0);
                        other.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        other.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                    }
                }
            );
              //Shoulderpad
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Cadian Shoulder Plates",
                    NameToOrderByOverride = "CadD",
                    DescriptionOverride = "Just Cadian Shoulder Plates that are supposed to be worn with the Flak Armour",
                    CategoryOverride = ModAPI.FindCategory("Warhammer"), //new item category 
                    ThumbnailOverride = ModAPI.LoadSprite("Cadian Shoulder Plates thumb 2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Cadian shoulder plates 2.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 12f;
                        armor.armorPiece = "UpperArm";
                        armor.armorTier = 12;
                        armor.otherSprite = "Cadian shoulder plates 2.png";
                        armor.otherName = "Cadian Shoulder Plates";
                        armor.otherPiece = "UpperArmFront";
                        armor.otherTier = 12;
                        armor.otherResist = 12f;
                        armor.SpawnOtherParts();

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();

                        var other = Instance.transform.GetChild(0);
                        other.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        other.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                    }
                }
            );
             //prepare for trouble
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Cadian Medical Shoulder Plates",
                    NameToOrderByOverride = "CadE",
                    DescriptionOverride = "Just Cadian Shoulder Plates that are supposed to be worn with the Flak Armour. Those are specially made for the medics.",
                    CategoryOverride = ModAPI.FindCategory("Warhammer"), //new item category 
                    ThumbnailOverride = ModAPI.LoadSprite("Cadian Shoulder Plates thumb 3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Cadian shoulder plates 3.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 12f;
                        armor.armorPiece = "UpperArm";
                        armor.armorTier = 12;
                        armor.otherSprite = "Cadian shoulder plates 3.png";
                        armor.otherName = "Cadian Medical Shoulder Plates";
                        armor.otherPiece = "UpperArmFront";
                        armor.otherTier = 12;
                        armor.otherResist = 12f;
                        armor.SpawnOtherParts();

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();

                        var other = Instance.transform.GetChild(0);
                        other.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        other.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                    }
                }
            );
             //prepare for trouble
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Cadian Officer Shoulder Plates",
                    NameToOrderByOverride = "CadF",
                    DescriptionOverride = "Just Cadian Shoulder Plates that are supposed to be worn with the Flak Armour. This variant is made for the officers",
                    CategoryOverride = ModAPI.FindCategory("Warhammer"), //new item category 
                    ThumbnailOverride = ModAPI.LoadSprite("Cadian Shoulder Plates thumb 4.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Cadian shoulder plates 4.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 12f;
                        armor.armorPiece = "UpperArm";
                        armor.armorTier = 12;
                        armor.otherSprite = "Cadian shoulder plates 4.png";
                        armor.otherName = "Cadian Officer Shoulder Plates";
                        armor.otherPiece = "UpperArmFront";
                        armor.otherTier = 12;
                        armor.otherResist = 12f;
                        armor.SpawnOtherParts();

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();

                        var other = Instance.transform.GetChild(0);
                        other.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        other.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                    }
                }
            );
            //helmet
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Cadian Officer Cap ",
                    NameToOrderByOverride = "Cad8",
                    DescriptionOverride = "A cap made for the regimental officers of the Cadian Shock Troops.",
                    CategoryOverride = ModAPI.FindCategory("Warhammer"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Cadian Helmet thumb 3.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Cadian Helmet 3.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 12f;
                        armor.armorPiece = "Head"; //check the uh the fucking uh readme for the full list of bodyparts
                        armor.armorTier = 12;

                        Instance.FixColliders();
                    }
                }
            );
            //armor
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Cadian Officer Flak Armor ",
                    NameToOrderByOverride = "CadB",
                    DescriptionOverride = "The Flak amor is really cheap and easy to produce. It provides a good protection to the officer that wears it.",
                    CategoryOverride = ModAPI.FindCategory("Warhammer"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Cadian armor thumb 2.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Cadian armor 2.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 12f;
                        armor.armorPiece = "UpperBody"; //check the uh the fucking uh readme for the full list of bodyparts
                        armor.armorTier = 12;

                        Instance.FixColliders();
                    }
                }
            );
             //gauntlet
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Cadian Medical Gauntlets",
                    NameToOrderByOverride = "CadG",
                    DescriptionOverride = "The Medical Gauntlet assists the medic , giving him several informations about the wounded soldier.",
                    CategoryOverride = ModAPI.FindCategory("Warhammer"), //new item category 
                    ThumbnailOverride = ModAPI.LoadSprite("Cadian Gauntlet thumb 1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Cadian Gauntlet 1.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 12f;
                        armor.armorPiece = "LowerArm";
                        armor.armorTier = 12;
                        armor.otherSprite = "Cadian Gauntlet 1.png";
                        armor.otherName = "Cadian Medical Gauntlets";
                        armor.otherPiece = "LowerArmFront";
                        armor.otherTier = 12;
                        armor.otherResist = 12f;
                        armor.SpawnOtherParts();

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();

                        var other = Instance.transform.GetChild(0);
                        other.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        other.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                    }
                }
            );
            //gauntlet
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Cadian Officer Gauntlets",
                    NameToOrderByOverride = "CadG",
                    DescriptionOverride = "This gauntlet is made for the officers of the Cadian Shock troops",
                    CategoryOverride = ModAPI.FindCategory("Warhammer"), //new item category 
                    ThumbnailOverride = ModAPI.LoadSprite("Cadian Gauntlet thumb 2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Cadian Gauntlet 2.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 12f;
                        armor.armorPiece = "LowerArm";
                        armor.armorTier = 12;
                        armor.otherSprite = "Cadian Gauntlet 2.png";
                        armor.otherName = "Cadian Officer Gauntlets";
                        armor.otherPiece = "LowerArmFront";
                        armor.otherTier = 12;
                        armor.otherResist = 12f;
                        armor.SpawnOtherParts();

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();

                        var other = Instance.transform.GetChild(0);
                        other.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        other.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                    }
                }
            );
               ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Blaster"), //item to derive from
        NameOverride = "Accatran Mark II Heavy Laspistol", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "CadH",
        DescriptionOverride = "A heavy pistol used by the commissars and the officers.", //new item description
        CategoryOverride = ModAPI.FindCategory("Warhammer"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Accatran Mark Laspistol Thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
        foreach (Transform child in Instance.transform)
                                if (child.name.Contains("light") || child.name.Contains("glow"))
                                    UnityEngine.Object.Destroy(child.gameObject);
            //setting the sprite
            
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Accatran Mark Laspistol.png");
            var firearm = Instance.GetComponent<FirearmBehaviour>();
            Instance.FixColliders();
        }
    }
);
   ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Blaster"), //item to derive from
        NameOverride = "Standart Green Laspistol", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "CadI",
        DescriptionOverride = "A standart pistol used by the Cadian Shock Troops", //new item description
        CategoryOverride = ModAPI.FindCategory("Warhammer"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Standart Laspistol Thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
        foreach (Transform child in Instance.transform)
                                if (child.name.Contains("light") || child.name.Contains("glow"))
                                    UnityEngine.Object.Destroy(child.gameObject);
            //setting the sprite
            
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Standart Laspistol.png");
            var firearm = Instance.GetComponent<FirearmBehaviour>();
            Instance.FixColliders();
        }
    }
);
 ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Blaster"), //item to derive from
        NameOverride = "M36 Kantrael Pattern Lasgun", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "CadJ",
        DescriptionOverride = "The standart rifle pattern used by the Cadian Regiment.", //new item description
        CategoryOverride = ModAPI.FindCategory("Warhammer"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("M36 Kantrael Lasgun Thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
        foreach (Transform child in Instance.transform)
                                if (child.name.Contains("light") || child.name.Contains("glow"))
                                    UnityEngine.Object.Destroy(child.gameObject);
            //setting the sprite
            
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("M36 Kantrael Lasgun.png");
            var firearm = Instance.GetComponent<FirearmBehaviour>();
            Instance.FixColliders();
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Blaster"), //item to derive from
        NameOverride = "Lascarabine", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "CadK",
        DescriptionOverride = "The carbine form of the standard Imperial Lasgun that is easier to carry.", //new item description
        CategoryOverride = ModAPI.FindCategory("Warhammer"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Cadian Lascarabine thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
        foreach (Transform child in Instance.transform)
                                if (child.name.Contains("light") || child.name.Contains("glow"))
                                    UnityEngine.Object.Destroy(child.gameObject);
            //setting the sprite
            
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Cadian Lascarabine.png");
            var firearm = Instance.GetComponent<FirearmBehaviour>();
            Instance.FixColliders();
        }
    }
);
            //humie
            ModAPI.Register(
        new Modification()
        {
            OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
            NameOverride = "Mordian Iron Guard", //new item name with a suffix to assure it is globally unique
            NameToOrderByOverride = "Mord1",
            DescriptionOverride = "A brave soldier of the Mordian Iron Guard.", //new item description
            CategoryOverride = ModAPI.FindCategory("Warhammer"), //new item category
            ThumbnailOverride = ModAPI.LoadSprite("Mordian soldier thumb 1.png"), //new item thumbnail (relative path)
            AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
            {

                var skin = ModAPI.LoadTexture("Mordian soldier 1.png");
                var flesh = ModAPI.LoadTexture("flesh.png");
                var bone = ModAPI.LoadTexture("bone.png");

                var person = Instance.GetComponent<PersonBehaviour>();

                person.SetBodyTextures(skin, flesh, bone, 1);
            }
        }
);
            //humie
            ModAPI.Register(
        new Modification()
        {
            OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
            NameOverride = "Mordian Iron Guard", //new item name with a suffix to assure it is globally unique
            NameToOrderByOverride = "Mord2",
            DescriptionOverride = "A brave soldier of the Mordian Iron Guard.", //new item description
            CategoryOverride = ModAPI.FindCategory("Warhammer"), //new item category
            ThumbnailOverride = ModAPI.LoadSprite("Mordian soldier thumb 2.png"), //new item thumbnail (relative path)
            AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
            {

                var skin = ModAPI.LoadTexture("Mordian soldier 2.png");
                var flesh = ModAPI.LoadTexture("flesh.png");
                var bone = ModAPI.LoadTexture("bone.png");

                var person = Instance.GetComponent<PersonBehaviour>();

                person.SetBodyTextures(skin, flesh, bone, 1);
            }
        }
);
            //humie
            ModAPI.Register(
        new Modification()
        {
            OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
            NameOverride = "Mordian Iron Guard Commissar", //new item name with a suffix to assure it is globally unique
            NameToOrderByOverride = "Mord3",
            DescriptionOverride = "A glorious commissar of the Mordian Iron Guard. He inspires fear and admiration in the ranks.", //new item description
            CategoryOverride = ModAPI.FindCategory("Warhammer"), //new item category
            ThumbnailOverride = ModAPI.LoadSprite("Mordian soldier thumb 3.png"), //new item thumbnail (relative path)
            AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
            {

                var skin = ModAPI.LoadTexture("Mordian soldier 3.png");
                var flesh = ModAPI.LoadTexture("flesh.png");
                var bone = ModAPI.LoadTexture("bone.png");

                var person = Instance.GetComponent<PersonBehaviour>();

                person.SetBodyTextures(skin, flesh, bone, 1);
            }
        }
);
            //helmet
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Mordian Iron Guard Cap ",
                    NameToOrderByOverride = "Mord5",
                    DescriptionOverride = "A cap made for the Mordian Iron Guard. It's not really effective against the bullets though.'",
                    CategoryOverride = ModAPI.FindCategory("Warhammer"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Mordian cap thumb 1.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Mordian cap 1.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 12f;
                        armor.armorPiece = "Head"; //check the uh the fucking uh readme for the full list of bodyparts
                        armor.armorTier = 12;

                        Instance.FixColliders();
                    }
                }
            );
                        //helmet
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Mordian Iron Guard Cap ",
                    NameToOrderByOverride = "Mord5",
                    DescriptionOverride = "A cap made for the Mordian Iron Guard. It's not really effective against the bullets though.'",
                    CategoryOverride = ModAPI.FindCategory("Warhammer"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Mordian cap thumb 2.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Mordian cap 2.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 12f;
                        armor.armorPiece = "Head"; //check the uh the fucking uh readme for the full list of bodyparts
                        armor.armorTier = 12;

                        Instance.FixColliders();
                    }
                }
            );
                        //helmet
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Mordian Iron Guard Cap ",
                    NameToOrderByOverride = "Mord6",
                    DescriptionOverride = "A cap made for the Mordian Iron Guard Commissars.'",
                    CategoryOverride = ModAPI.FindCategory("Warhammer"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Mordian cap thumb 3.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Mordian cap 3.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 12f;
                        armor.armorPiece = "Head"; //check the uh the fucking uh readme for the full list of bodyparts
                        armor.armorTier = 12;

                        Instance.FixColliders();
                    }
                }
            );            
            }
    }
}

            